package telegram

import (
	tgbotapi "github.com/go-telegram-bot-api/telegram-bot-api/v5"
	"github.com/gogf/gf/v2/frame/g"
	"github.com/gogf/gf/v2/os/glog"
	"golang.org/x/net/context"
)

func SetTelegramMess(ctx context.Context, text string) error {

	telegramKey, err := g.Cfg().Get(ctx, "node.telegramKey")
	if err != nil {
		glog.Debug(ctx, err.Error())
		return err
	}

	telegramUserID, err := g.Cfg().Get(ctx, "node.telegramUserID")
	if err != nil {
		glog.Debug(ctx, err.Error())
		return err
	}

	bot, err := tgbotapi.NewBotAPI(telegramKey.String())
	if err != nil {
		return err
	}
	chatID := telegramUserID.Int64()
	replyMsg := tgbotapi.NewMessage(chatID, text)
	_, err = bot.Send(replyMsg)
	if err != nil {
		return err
	}

	return nil
}
